A ContributorLanguageFact contains a selection of Language-specific statistics about a single person who commited source code to a Project.
One ContributorFact record exists for each Language used by a contributor.
The ContributorLanguageFact is very similar to a ContributorFact. The difference is that a ContributorLanguageFact contains statistics for a particular Language only, while a ContributorFact contains summary statistics across all languages used by the contributor.
A ContributorLanguageFact is part of an Analysis, and is derived from lower-level statistics contained within the Analysis. New ContributorLanguageFacts are created for each Project contributor whenever a new Analysis is created for the Project.
ContributorLanguageFacts only exist after Ohloh has downloaded and analyzed the project source code.
contributor_id is not globally unique. It is derived from the author name found in the source control server log, and is unique within the scope of an individual project only.nice_name of the Language measured.To get a list of all ContributorLanguageFacts for a particular contributor, based on the lastest Analysis for a Project:
GET http://www.ohloh.net/projects/{project_id}/contributors/{contributor_id}.xml
This is the same URL used to obtain a ContributorFact. The ContributorFact returned by this call will include within it a collection of ContributorLanguageFacts.